
-- DROP TABLE tl_coupon;



CREATE TABLE tl_coupon (
    object_id int NOT NULL ,
    object_last_updated_date datetime DEFAULT getdate() NOT NULL ,
    object_created_date datetime DEFAULT getdate() NOT NULL
    ,
    coupon_code varchar(100) NOT NULL,
    percentage_off numeric(12) NULL,
    duration_in_months numeric(12) NULL
    );



ALTER TABLE tl_coupon ADD    
    CONSTRAINT PK_tl_coupon PRIMARY KEY 
    (
        object_id
    ) ;
    
    
    